Bug 767448 - [abrt] rygel-0.12.5-1.fc16: __GI_raise: Process /usr/bin/rygel was killed by signal 6 (SIGABRT)
Summary: [abrt] rygel-0.12.5-1.fc16: __GI_raise: Process /usr/bin/rygel was killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rygel
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cff6a145d10f969a15951d623e8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-14 05:08 UTC by Clinton Work
Modified: 2012-01-31 21:57 UTC (History)
2 users (show)

Fixed In Version: rygel-0.12.7-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-31 21:57:48 UTC


Attachments (Terms of Use)
File: environ (3.06 KB, text/plain)
2011-12-14 05:08 UTC, Clinton Work
no flags Details
File: dso_list (5.83 KB, text/plain)
2011-12-14 05:08 UTC, Clinton Work
no flags Details
File: maps (29.27 KB, text/plain)
2011-12-14 05:08 UTC, Clinton Work
no flags Details
File: smolt_data (5.14 KB, text/plain)
2011-12-14 05:08 UTC, Clinton Work
no flags Details
File: backtrace (17.24 KB, text/plain)
2011-12-14 05:08 UTC, Clinton Work
no flags Details

Description Clinton Work 2011-12-14 05:08:03 UTC
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        rygel
crash_function: __GI_raise
executable:     /usr/bin/rygel
kernel:         3.1.4-1.fc16.x86_64
pid:            25547
pwd:            /var/log
reason:         Process /usr/bin/rygel was killed by signal 6 (SIGABRT)
time:           Tue 13 Dec 2011 10:00:01 PM MST
uid:            1650
username:       clinton

backtrace:      Text file, 17650 bytes
dso_list:       Text file, 5969 bytes
environ:        Text file, 3133 bytes
maps:           Text file, 29977 bytes
smolt_data:     Text file, 5261 bytes

comment:
:I added a new media file in ~/download/mirc and these errors started.  
:
:(rygel:25547): GLib-GIO-CRITICAL **: g_file_get_parent: assertion `G_IS_FILE (file)' failed
:
:(rygel:25547): MediaExport-CRITICAL **: rygel_media_export_media_cache_get_id: assertion `file != NULL' failed
:
:(rygel:25547): MediaExport-CRITICAL **: rygel_media_export_media_cache_get_object: assertion `object_id != NULL' failed
:
:(rygel:25547): GLib-GIO-CRITICAL **: g_file_get_parent: assertion `G_IS_FILE (file)' failed
:
:(rygel:25547): MediaExport-CRITICAL **: rygel_media_export_media_cache_get_id: assertion `file != NULL' failed
:
:(rygel:25547): MediaExport-CRITICAL **: rygel_media_export_media_cache_get_object: assertion `object_id != NULL' failed
:
:(rygel:25547): GLib-GIO-CRITICAL **: g_file_get_parent: assertion `G_IS_FILE (file)' failed
:
:(rygel:25547): MediaExport-CRITICAL **: rygel_media_export_media_cache_get_id: assertion `file != NULL' failed
:
:(rygel:25547): MediaExport-CRITICAL **: rygel_media_export_media_cache_get_object: assertion `object_id != NULL' failed^C
:(process:25547): Rygel-CRITICAL (recursed) **: rygel_main_exit: assertion `self != NULL' failedAborted (core dumped)

var_log_messages:
:Dec 13 21:50:44 pulsar yum[24503]: Installed: rygel-0.12.5-1.fc16.x86_64
:Dec 13 22:00:02 pulsar abrt[28241]: Saved core dump of pid 25547 (/usr/bin/rygel) to /var/spool/abrt/ccpp-2011-12-13-22:00:01-25547 (268120064 bytes)

Comment 1 Clinton Work 2011-12-14 05:08:05 UTC
Created attachment 546523 [details]
File: environ

Comment 2 Clinton Work 2011-12-14 05:08:06 UTC
Created attachment 546524 [details]
File: dso_list

Comment 3 Clinton Work 2011-12-14 05:08:08 UTC
Created attachment 546525 [details]
File: maps

Comment 4 Clinton Work 2011-12-14 05:08:09 UTC
Created attachment 546526 [details]
File: smolt_data

Comment 5 Clinton Work 2011-12-14 05:08:11 UTC
Created attachment 546527 [details]
File: backtrace

Comment 6 Fedora Update System 2012-01-19 13:34:26 UTC
rygel-0.12.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rygel-0.12.7-1.fc16

Comment 7 Fedora Update System 2012-01-19 21:57:44 UTC
Package rygel-0.12.7-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rygel-0.12.7-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0693/rygel-0.12.7-1.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-01-31 21:57:48 UTC
rygel-0.12.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.